librem5-base (70pureos1) crimson; urgency=medium

  [ Jonathon Hall ]
  * Reduce redundant dependencies

  [ Sebastian Krzyszkowiak ]
  * librem5-gnome-recommends: Add orca
  * Move flatpak and pureos-store-plugin-flatpak to Recommends
  * base-recommends: Add network-manager-config-connectivity-pureos
  * gnome-base: Add network-manager-{openvpn,pptp,sstp}-gnome to Recommends

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 29 Jun 2025 10:24:48 +0200

librem5-base (69pureos2) crimson; urgency=medium

  * default: Restore click-policy=single for Nautilus

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 28 May 2025 08:20:56 +0200

librem5-base (69pureos1) crimson; urgency=medium

  * default: eog: Use eog for TryExec
  * default: Disable etnaviv's TS buffer handling

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 27 May 2025 07:51:24 +0200

librem5-base (68pureos1) crimson; urgency=medium

  * gnome: Replace kgx with gnome-console
  * default: gschema: Drop Nautilus overrides
  * gnome: Replace gedit with gnome-text-editor
  * defaults: gschema: Add configuration for eog
  * default: ucm2: Use EQ correction for Speaker
  * default: audio: Make librem5.state file versioned
  * defaults: Tune zram and related parameters for swap-less usage
  * defaults: sysctl: Panic on oopses, RCU stalls, hung tasks and lockups
  * defaults: Set phoc's scheduling policy to real-time
  * gnome-recommends: Use phosh-full metapackage
  * defaults: Add eog tweak to open pictures dir by default
  * defaults: gschema: Update force-adaptive list for crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 28 Mar 2025 19:31:07 +0100

librem5-base (67pureos1) crimson; urgency=medium

  * non-gnome-recommends: Install pureos-webext
  * base-recommends: Install xdg-utils
  * base-defaults: Configure WirePlumber to only handle video
  * defaults: Remove obsolete ETNA_MESA_DEBUG=nir
  * defaults: Move resize-rootfs and kernel module config from librem5-devkit-base

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 14 Mar 2025 02:27:40 +0100

librem5-base (66pureos1~cri4) crimson; urgency=medium

  * Revert "profile.d: Temporarily disable WebKit's dmabuf renderer"

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 13 Mar 2025 01:56:35 +0100

librem5-base (66pureos1~cri3) crimson; urgency=medium

  * defaults: librem5-pm.udev: Only disable event polling for built-in SD reader

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 10 Mar 2025 01:15:06 +0100

librem5-base (66pureos1~cri2) crimson; urgency=medium

  * defaults: Move simple-card config, fixes audio input/output

 -- Jonathon Hall <jonathon.hall@puri.sm>  Fri, 07 Feb 2025 10:11:26 -0500

librem5-base (66pureos1~cri1) crimson; urgency=medium

  * defaults: Configure multi-gen LRU thrashing prevention
  * gschema: Drop custom user-agent for Epiphany
  * profile.d: Temporarily disable WebKit's dmabuf renderer
  * CI: Switch to official pipeline definitions
  * d/gbp: Switch to crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 31 Oct 2024 10:58:06 +0100

librem5-base (65pureos1) crimson; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * gnome-phone-recommends-all: Fix a typo in haegtesse

  [ Evangelos Ribeiro Tzaras ]
  * Demote firefox-esr-mobile-config to recommends
    firefox-esr is in recommends as well, after all.

  [ Guido Günther ]
  * Add mpris-proxy to user session.
    Allows to control music playback from e.g. a cars entertainment unit and
    shows artist information.
  * gitignore: Ignore more package build dirs and files
  * Add package that enables network connectivity checks.
    This is modelled after network-manager-config-connectivity-debian.
    Since people might consider this a potential privacy leak we don't make
    it a hard dependency.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Oct 2023 14:07:49 +0200

librem5-base (64pureos1) crimson; urgency=medium

  * Mark crucial packages as protected

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 12 Jul 2023 04:27:32 +0200

librem5-base (63pureos2) crimson; urgency=medium

  * base: Add pulseaudio. This helps apt's resolver along until
    we switch to pw.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2023 17:41:52 +0200

librem5-base (63pureos1) crimson; urgency=medium

  * Drop gnome-getting-started-docs.
    Not present in GNOME 42
  * d/gbp.conf: Switch to d/latest.
    This will be the default for crimson
  * base-recomends-all: Add systemd-resolved
  * ci: Switch to landing
  * base: Drop gthd.
    Not needed anymore
  * gnome-phone: Move haegtesse to recommends.
    It's only needed on the devkit and will be there but users
    should be able to remove it.
  * gnome-recommends: Drop phosh-{mobile-settings,tour}
    They're pulled in via phosh-core.
  * Drop osk-wayland
    squeekboard now uses the alternative system

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2023 16:00:00 +0200

librem5-base (62pureos1) byzantium; urgency=medium

  * shipmode: Enable Hi-Z mode using kernel interface
  * shipmode: Fix the bq25890 sysfs path for recent kernels
  * d/control: Bump linux-image-librem5 dependency

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 20 Jun 2023 11:38:47 +0200

librem5-base (61pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: systemd: Force poweroff instead of halt

  [ Alistair Francis ]
  * pm: udev: Use DEVPATH instead of ID_PATH

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 13 Jun 2023 10:06:53 +0200

librem5-base (60pureos1) byzantium; urgency=medium

  [ Matthias Klumpp ]
  * gnome-base-recommends: Add pureos-flatpak-defaults

  [ Guido Günther ]
  * udev: Make libinput ignore PMIC key press events

  [ Angus Ainslie ]
  * lockdown-support: add magnetometer support
  * usbguard: librem5.conf: Add the Sierra Wireless EM7565
  * usbguard: librem5.conf: Add the SIMCOM 79xx modem

  [ Sebastian Krzyszkowiak ]
  * defaults: librem5-pm: Enable simple_ondemand governor for DRAM
  * default: Enable quick resume support in ModemManager
  * d/control: Update dependencies to support MM's quick suspend resume

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 05 May 2023 00:19:45 +0200

librem5-base (59pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: Add PulseAudio config for DisplayPort audio hotplug
  * d/control: Move kernel dependency to librem5-base-defaults

  [ Guido Günther ]
  * dev-tools: Move all packages to Recommends:
  * dev-tools: Recommend l5-devscripts

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 07 Apr 2023 22:24:42 +0200

librem5-base (58pureos1) byzantium; urgency=medium

  * defaults: Enable WiFi powersave with brcmfmac driver
  * defaults: usb_gadget: Run service as a dependency of UDC device unit
  * defaults: usb_gadget: Set Before= relation to network.target
  * defaults: librem5-pm: Enable NO_SUSPEND quirk and adjust PM properties
  * d/control: Bump Librem 5 kernel dependency to 6.1.19pureos1

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 17 Mar 2023 22:42:30 +0100

librem5-base (57pureos1) byzantium; urgency=medium

  * default: gadget: Use CDC-NCM instead of CDC-ECM
  * defaults: Add an initramfs script to reencrypt LUKS rootfs
  * defaults: librem5-pm: Add rules for EM7565 and SIM7912G
  * defaults: pulse: Reduce fragment size to 22 ms
  * defaults: Switch USB PM timeouts back to 2s for devices and 0 for hub

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 06 Mar 2023 19:21:14 +0100

librem5-base (56pureos1) byzantium; urgency=medium

  * defaults: Improve reliability of bluetooth-brcmfmac against system suspend
  * default: ucm2: Move controls to BootSequence where applicable
  * librem5-base-defaults: pulse: Bump fragment size up to 24ms
  * defaults: librem5-pm: Set devices to suspend after 1.5s and hub after 0.5s
  * defaults: librem5-pm: Set readahead based on USB vendor/product ID

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 24 Feb 2023 13:13:37 +0100

librem5-base (55pureos1) byzantium; urgency=medium

  * base: Move gthd to recommends.
    Now that `sensors` outputs reasonable values as well we can safely have
    people remove  it. gnome-usage has a separate Recommends: releationship
    so it's can be dropped completely for crimson.
  * prerm: Add missing DEBHELPER magic.
    Otherwise we won't have debhelper snippets inserted
    Fixes 664324e4b973ecc5395a9540cea4e1b2a7f5093c
  * postrm: Make sure we exit 0.
    Don't rely on what a debhelper snippet does
  * Make osk-wayland obsolete
    squeekboard 1.20.0-2 from Debian will use update-alternatives to manage
    the /u/s/a/sm.puri.OSK0.desktop finally allowing us to obsolete
    osk-wayland here.
    We do so by making sm.puri.OSK0-legacy.desktop use update-alternatives
    too and giving it a lower priority than squeekboards.
    As older squeekboard in PureOS Byzantium doesn't worry about
    sm.puri.OSK0 at all so an update of librem5-base-defaults won't change
    anything for the user.
    We can drop sm.puri.OSK0-legacy and osk-wayland for Crimson

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Jan 2023 17:30:07 +0100

librem5-base (54pureos1) byzantium; urgency=medium

  * defaults: ucm2: Rework ALSA UCM profiles
  * default: pulse: Set modem input volume to 50%
  * defaults: ucm2: Switch to headset mic automatically
  * default: pulse: Use DGC and re-enable default echo-cancel options
  * debian: Bump kernel dependency to 6.0.0pureos2
  * librem5-base-defaults: Use librem5.state file to store ALSA state
  * debian: Add `systemctl daemon-reload` to postinst and postrm
  * defaults: ucm2: Don't set HPF to Application mode in Handset profile
  * defaults: audio: Disable echo-cancel's digital gain control

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 16 Nov 2022 06:24:31 +0100

librem5-base (53pureos1) byzantium; urgency=medium

  [ Chris Vogel ]
  * hardware kill switches: lockdown-support

  [ Sebastian Krzyszkowiak ]
  * defaults: pulse: Use 2 fragments of 16 ms to reduce latency

  [ Guido Günther ]
  * Add phosh mobile settings
  * Install phosh-tour by default
  * smartcard: Use a more user friendly reader name

  [ Angus Ainslie ]
  * base-recommends-all: add the fw-jail

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 03 Nov 2022 19:20:59 +0100

librem5-base (52pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * Revert "defaults: Make SPI NOR accessible in initramfs"
  * defaults: Add a Bluetooth attachment service for brcmfmac

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 12 Aug 2022 01:10:31 +0200

librem5-base (51pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: Add USBGuard configuration for Librem 5 and its devkit

  [ Guido Günther ]
  * base-recommends: Add systemd-timesyncd (Closes: #63)

  [ Evangelos Ribeiro Tzaras ]
  * non-gnome: Sort recommended packages alphabetically
  * non-gnome: Recommend firefox-esr

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Thu, 11 Aug 2022 12:43:25 +0200

librem5-base (50pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: Make SPI NOR accessible in initramfs
  * defaults: Make power key accessible in initramfs
  * defaults: Bump up systemd-localed service timeout to 10 minutes
  * non-gnome-recommends: Add bash-completion

  [ Martin Kepplinger ]
  * udev: add rules to reload the vcnl4000 driver on any one hks-on

  [ Sebastian Krzyszkowiak ]
  * defaults: Enable zram using systemd-zram-generator
  * base-recommends: Add pcscd

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 25 May 2022 15:45:00 +0200

librem5-base (49pureos1) byzantium; urgency=medium

  [ Guido Günther ]
  * Make sure we get librem5-check by default
    dev-tools is not installed often so move to non-gnome-recommends
    for e.g. support to gather data with.

  [ Martin Kepplinger ]
  * ucm2: Librem_5: create a first working profile for the external mic
    the settings are all based on a discussion with Charles:
    https://lore.kernel.org/alsa-devel/20220207142129.GB112838@ediswmail.ad.cirrus.com/
    Currently we don't get any signal from the external mic. These settings
    result in at least a usable signal (we can try to further improve later).
    There are 3 Volume controls for the analog parts, all before the ADC.
    In order from Jack to ADC, they are:
    numid=10,iface=MIXER,name='Capture Volume'
       ; type=INTEGER,access=rw---R--,values=2,min=0,max=63,step=0
       : values=63,63
       | dBscale-min=-23.25dB,step=0.75dB,mute=0
    "Input PGA Volume Control". 31=0dB. We use 39=+6dB.
    numid=7,iface=MIXER,name='MIXINR PGA Volume'
       ; type=INTEGER,access=rw---R--,values=1,min=0,max=7,step=0
       : values=7
       | dBrange-
         rangemin=0,,rangemax=1
           | dBscale-min=0.00dB,step=6.00dB,mute=0
         rangemin=2,,rangemax=2
           | dBscale-min=13.00dB,step=13.00dB,mute=0
         rangemin=3,,rangemax=4
           | dBscale-min=18.00dB,step=2.00dB,mute=0
         rangemin=5,,rangemax=5
           | dBscale-min=24.00dB,step=0.00dB,mute=0
         rangemin=6,,rangemax=7
           | dBscale-min=27.00dB,step=3.00dB,mute=0
    "Right input PGA to Right input Boost-Mixer Gain"
    0=0dB. we use 1=+3dB.
    numid=8,iface=MIXER,name='MIXINR IN3R Volume'
      ; type=INTEGER,access=rw---R--,values=1,min=0,max=7,step=0
      : values=6
      | dBscale-min=-15.00dB,step=3.00dB,mute=0
    we don't use that since we can either route from PGA or IN3R to MIXINR.
    ("quotes" are from the datasheet)

  [ Steve Stevens ]
  * Adjust modem volume to more closely match system volume.
    This patch increases the volume from calls (incoming volume, so from the
    person calling you) by 50% to bring the call volume to be similar to
    that of what you get from the system volume.

  [ Sebastian Krzyszkowiak ]
  * default: Set ETNA_MESA_DEBUG=nir in phosh service.
    This complements !270 to enable XWayland acceleration, as phoc
    itself does not pick up variables set in profile.d.
  * d/control: Add "Breaks" relation on mesa < 21.2.6.
    With older mesa, enabling 3D acceleration in XWayland causes
    massive synchronization issues.
  * defaults: Add smartcard configuration.
    Based on https://source.puri.sm/firmware/ttxs-firmware/-/blob/purism/PURISM.md

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Wed, 16 Mar 2022 15:02:12 +0100

librem5-base (48pureos1) byzantium; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Add gnss-share.
    It helps getting an initial fix by loading/storing the almanac
    and provides a unix socket to be used by geoclue.

  [ Guido Günther ]
  * ucm2: Drop devkit.
    Code lives upstream now
  * ucm2: Adjust to driver name change.
    This should work with old and new ucm2
  * Bump kernel dependency.
    5.16.11pureos2 has the audio card name change.

  [ Martin Kepplinger ]
  * Revert "base-defaults: disable system suspend and hibernation"
    This reverts commit 697a7420735aa57885d173b7e14f4533bfb4ae62 that
    disabled system sleep like "systemctl suspend" via systemd since
    the kernel had not supported it (The system would in most cases
    suspend, but never be able to resume).
    Since kernel version 5.16.3pureos1 the kernel supports resuming
    from suspend so people can at least start to do tests.
    So this simply *allows* to test system sleep via systemd. It doesn't
    change any default behaviour.
    Keep in mind that
     * there can still be bugs around suspend and resume in general.  Let's
       find them together.
     * System suspend means that no data connection is kept alive: No
       receiving of email, xmpp and so on.
     * While the goal is that cellular calls and SMS would wake up the system
       and work normally, that is currently disabled on many of the shipped
       modems. We're working on it and Linux supports it already.
     * All policies how to "transparently" use suspend in the future are
       to be implemented, see
       https://source.puri.sm/Librem5/OS-issues/-/issues/237
     * Compared to "display off standby" we currently have (using runtime pm),
       we can say that system suspend will always save power. How much though
       is highly dependent on what is running and enabled on the system:
       - If the modem is enabled, it stays enabled and can use quite some
          power depending on signal strength. That would *reduce* the amount of
         power saved.
       - If there are applications running, they will be freezed during
         system suspend, so more open applications would *increase* power
         saved.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Mar 2022 10:17:55 +0100

librem5-base (47pureos1) byzantium; urgency=medium

  [ Martin Kepplinger ]
  * ucm2: set new Input Mode control for the digital mic.
    As of kernel version 5.16.7pureos1 our codec has the "Input Mode"
    control that can be "Analog" and "Digital".
    To make sure the internal mic is enable as it has been before,
    add the Input Mode setting to the profiles' enable sequence.
    Using this new control doesn't work on older kernels, so add
    a Breaks dependency for the Debian packages.
  * ucm2: set Input Mode to Analog for the external mic.
    While the profile for the external microphone is not yet working
    as intende, one thing that definitely is needed, is setting
    "Input Mode" to Analog. Do this.

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Tue, 08 Feb 2022 09:27:41 +0100

librem5-base (46pureos1) byzantium; urgency=high

  * Revert "default: Invoke pam_gnome_keyring in auth step"
    This causes problem when setting up goa accounts where we
    get an empty dialog prompt that can't be canceled since
    gcr gets confused.
    Revert until we have a proper solution.
    This reverts commit 2849cd6dcfdf264e0ba7ca20457a47f72b7a2987.
  * debian: Make sure pam conffile gets removed

 -- Guido Günther <agx@sigxcpu.org>  Tue, 18 Jan 2022 14:59:08 +0100

librem5-base (45pureos1) byzantium; urgency=medium

  * osk-wayland: Don't use squeekboard-restyled.
    Squeekboard as of 1.15.0 is clever enough to do the right thing when run
    with Phosh and not using squeekboard-restyled unbreaks HighContrast.
    We keep this layer of indirection for the moment to avoid yet another
    phosh release and will switch to what Debian does for its session
    (using sm.puri.Squeekboard directly) with the next or next next phosh
    release).

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Dec 2021 17:24:29 +0100

librem5-base (44pureos1) byzantium; urgency=medium

  * default: Invoke pam_gnome_keyring in auth step.
    We have that part so we can use it.
    Closes: https://source.puri.sm/Librem5/OS-issues/-/issues/65
  * d/control: Add Breaks: for phosh << 0.14.1.
    The gcr prompt would overflow in older versions so add a proper
    breaks.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 21 Dec 2021 11:49:10 +0100

librem5-base (43pureos1) byzantium; urgency=medium

  [ Martin Kepplinger ]
  * replace megapixels with millipixels
  * d/control: depend on 5.15.5pureos1 or newer kernels

  [ Sebastian Krzyszkowiak ]
  * librem5-cameras.udev: Handle module (un)loading a bit more gracefully

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 06 Dec 2021 08:45:56 +0100

librem5-base (42pureos1) byzantium; urgency=medium

  [ Martin Kepplinger ]
  * base-defaults: disable system suspend and hibernation
    deep sleep / suspend to ram is not yet available (via ATF/uboot) so will
    take us a while to support.
    s2idle ("freeze") is the prerequirement and what we're working towards in
    the kernel. Until that at least does not cleanly resume, configure
    systemd not to do system suspend at all.
    This fixes users suspending the system (via a GUI) and having to reset
    the phone manually, since now suspend to ram is configured.
    Also, the configuration for s2idle is prepared so that it's obvious what
    our goal is now.

  [ Adrien Plazas ]
  * gnome-recommends-all: Add gnome-calendar

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Dec 2021 17:25:44 +0100

librem5-base (41pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: Add bq25890 and tps6598x modules to initramfs
  * librem5-base-defaults: Add udev rules for correct storage classification
  * defaults: Remove most of hidden-apps
  * profile.d: Enable NIR compiler in etnaviv

  [ Martin Kepplinger ]
  * librem5-base-defaults: increase readahead for the SD card block dev to 4M

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 07 Oct 2021 15:59:06 +0200

librem5-base (40pureos2) byzantium; urgency=medium

  [ Guido Günther ]
  * gnome-recommends: Add gnome-disk-utility.
    Add gnome-disk-utility for e.g. LUKS password changes

  [ Sebastian Krzyszkowiak ]
  * defaults: Set default systemd job stop timeout to 30 seconds.
    This avoids the phone getting stuck for a long time on shutdown,
    trying to stop a misbehaving service. If a service doesn't stop
    gracefully after 30 seconds, there's little chance it ever will.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Sep 2021 19:12:49 +0200

librem5-base (40pureos1) byzantium; urgency=high

  [ João Azevedo ]
  * forces GNOME Maps as adaptive. Not required with GNOME maps 40 onwards

  [ Dorota Czaplejewicz ]
  * cameras: Install udev file for loading the camera driver
  * cameras: Add switch rule for the selfie camera

  [ Sebastian Krzyszkowiak ]
  * gschema.override: Drop gnome-passwordsafe from the force-adaptive list.
    Byzantium's version already declares itself as adaptive.
  * gschema.override: Add more apps to force-adaptive
    org.gnome.Maps can be dropped with version 40
    org.gnome.TwentyFortyEight can be dropped with version 3.38.2
    org.gnome.Reversi can be dropped *above* version 3.38.1
    org.gnome.LightsOff can be dropped with version 40
    org.gnome.DiskUtility can be dropped *above* version 41.rc
  * pulse: Set echo-cancel parameters also for default sink.
    Due to the way module-filter-apply works, it may not know the source
    yet when it's being loaded, so help it by setting the same parameters
    on the default sink.
    Fixes #50

  [ Guido Günther ]
  * gnome-recommends: Add megapixels. It's the most used camera app on the L5
  * gnome-recommends: Add deja-dup

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Sep 2021 22:33:28 +0200

librem5-base (39pureos2) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * USB gadget: Expose an ethernet and a serial device over gadgetfs.
    This functionality was previously in the librem5-devkit repository,
    but it's moved here because it's not specific to the dev kit.
    At the same time, gadgetfs is a more flexible way to do it than g_multi.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Aug 2021 14:44:19 +0200

librem5-base (39pureos1) byzantium; urgency=medium

  [ Guido Günther ]
  * notfit: Add gnome-music.
    Will be the music player app but isn't adaptive yet
    See https://source.puri.sm/Librem5/Apps_Issues/-/issues/14
  * Add more apps to gnome-notfit.
    In order to clarify the app choices add the apps we want to use but that
    aren't adaptive yet.
    See https://source.puri.sm/Librem5/Apps_Issues/-/issues/5
    See https://source.puri.sm/Librem5/Apps_Issues/-/issues/14
    See https://source.puri.sm/Librem5/Apps_Issues/-/issues/15
  * Add purism user to systemd-journal group.
    This allows it to read the system journal as well which is useful
    for debugging.

  [ Sebastian Krzyszkowiak ]
  * gnome-phone: Don't depend on purple plugins.
    Those already get recommended by chatty.
  * profile.d: librem5-wayland.sh: Use uname instead of dpkg-architecture.
    It matches on all architectures supported by PureOS and does not require
    dev packages to be installed.
    Fixes OS-issues#205

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Aug 2021 16:24:30 +0200

librem5-base (38pureos2) byzantium; urgency=medium

  [ Guido Günther ]
  * librem5-ci: Add landing.
    We often add packages that aren't in byzantium yet so add landing
    as well since packages from there will be available soon (and if not
    librem5-base won't migrate either).
    Simplify ci pipeline while at that
  * Revert "gnome-base: Switch back to gnome-software"
    pureos-store is in landing now.
    This reverts commit f5836b5cb1991e58e0ac323e48fd8683c439afce.
  * notfit: Add gnome-music.
    Will be the music player app but isn't adaptive yet
    See https://source.puri.sm/Librem5/Apps_Issues/-/issues/14
  * Add more apps to gnome-notfit.
    In order to clarify the app choices add the apps we want to use but that
    aren't adaptive yet.

  [ Sebastian Krzyszkowiak ]
  * gnome-phone: Don't depend on purple plugins.
    Those already get recommended by chatty.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Jun 2021 13:54:08 +0200

librem5-base (38pureos1) byzantium; urgency=medium

  * gnome: Move more apps to recommends.
    Deinstalling Weaher, Terminal, Usage and Calculator should
    be possible without bad side effects like removing a meta
    package.
  * gnome: Move gnome-maps form notfit to recommends.
    Fits nicely on byzantium

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Mar 2021 12:23:52 +0100

librem5-base (37pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * profile.d: Remove QT_WAYLAND_DISABLE_WINDOWDECORATION
  * profile.d: Check whether Qt has Wayland backend available before attempting to use it

  [ Guido Günther ]
  * Add ucm profile from librem5-devkit-tools
  * ucm2: Adjust devkit config to ucm2
  * ucm2: Improve devkit config
  * librem5-wayland: Default to OpenGLES
  * librem5-gst: Use playbin3 in webkit
  * gnome-recommends: Add eog

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 17 Mar 2021 21:51:31 +0100

librem5-base (36pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * librem5.pa: Disable unwanted audio processing in echo cancelation module
  * librem5-base-defaults: Turn off WiFi powersave by default

  [ Guido Günther ]
  * gnome: Add nautilus

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 27 Feb 2021 13:10:37 +0100

librem5-base (35) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * librem5-pm.udev: Enable power management for external USB bus

  [ Guido Günther ]
  * Switch to phosh-games
  * ucm2: Rename to Librem_5.
    Adjust to the upstream kernel name
  * Update to Mobian version 1.2.4-1mobian1.
    This is what mobian uses in their current packges
  * base: Add alsa-ucm-conf
  * pulseaudio: Adjust to new card name
    the card is called 'Librem 5' in upstream kernels. Adjust to that.
  * udev: Adjust to upstream kernel name change.
    MODEM is now Modem
  * pulseaudio: Adjust to upstream kernel name.
    MODEM is now Modem

  [ Clayton Craft ]
  * audio: move ucm dir --> ucm2
  * audio/ucm2: port wm8962 to ucm2
  * audio/pulse: update sink/source in librem5 profile.
    The sink/source names changed with the ucm2 config update
  * d/install: change alsa ucm dir to ucm2

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Feb 2021 17:27:00 +0100

librem5-base (34) byzantium; urgency=medium

  [ Guido Günther ]
  * Revert "gnome-all: Drop firefox-esr-mobile config"
    firefox-esr-mobile-config is in landing now.
    This reverts commit 81b6b6f5cda9ffd3d81a6f91b7f7e51d076ba518.
  * Use phosh-core meta package.
    Corresponding to gnome-core in Debian it reduces our downstream
    packaging. We can use phosh-full / phosh-phone after the calls ->
    gnome-calls rename.

  [ Sebastian Krzyszkowiak ]
  * dev-tools-all: Add wlr-randr
  * librem5.gschema.override: Clean up force-adaptive list

  [ Evangelos Ribeiro Tzaras ]
  * gnome-phone-all: rename to gnome-calls

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Feb 2021 15:42:57 +0100

librem5-base (33) byzantium; urgency=medium

  * Upload to byzantium
  * d/gbp.conf: Update gbp.conf for Byzantium
  * Add librsvg2-common.
    Needed to render SVG from bullseye/byzantium on. This can go away
    once we install recommends by default.
  * gnome-base: Switch back to gnome-software.
    Byzantium does not have PureOS Store yet
  * d/control: Switch priority to optional.
    Otherwise the laptop installer breaks
  * gitlab-ci: Use PureOS byzantium.
    This way we get packages suitable for byzantium
  * tests: Test for librem5-gnome.
    The dev package is not that important atm and we add it back
    once more deps are in place
  * gnome-all: Drop firefox-esr-mobile config.
    Drop until it hits byzantium
  * Revert "defaults: Lower priority for src:webkit for non-amber phone"
    We just use the byzantium version
    This reverts commit fbe0101c46a38de71b567b87bc18e8f832af4a59.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Jan 2021 12:57:39 +0100

librem5-base (32) amber-phone; urgency=medium

  * defaults: Lower priority for src:webkit for non-amber phone.
    Debian thankfully ships security updates for webkit but they don't
    use WPE so break epiphany. Hence lower the priority of packages from
    amber, amber-security, amber-updates and amber-proposed-updates
    but leave amber-phone, amber-phone-staging at default priority.
    This still allows to use
       apt install <pkg>/amber-security
    while prefering amber-phone{,-staging} by default.
    We add a lintian override since this is better than breaking
    installations. This will go away automatically when we switch
    to byzantium.
  * Use phosh-mobile-tweaks.
    Use the shell specific package for things related
    to the shell. We'll use mobile-tweaks and meta-phosh
    to unclutter librem5-base further in the future.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 23 Dec 2020 15:14:32 +0100

librem5-base (31) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * gnome-base: Add gstreamer1.0-libav.
    Patched glibc is already in amber-phone-staging, we can install
    `gstreamer1.0-libav` by default now for better media support in
    Epiphany.
    Fixes OS-issues#79

  [ Guido Günther ]
  * schema override: Tweak nautilus a bit.
    Use single click and smaller symbols
  * gnome-notfit: Add nautilus.
    Needed to display new mounts

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Dec 2020 13:05:05 +0100

librem5-base (30) amber-phone; urgency=medium

  * gnome-base: Add gvfs-backends.
    Needed for phosh's volume automounting
  * gnome-base: Add fonts-noto-cjk.
    Otherwise there's lots of TOFU chracers e.g. in gnome-software's
    package descriptions.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Nov 2020 09:05:33 +0100

librem5-base (29) amber-phone; urgency=high

  * hidden-apps: Hide Yelp's launcher
  * gnome-all: Add geary

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 14 Nov 2020 18:16:57 +0100

librem5-base (28) amber-phone; urgency=high

  [ Guido Günther ]
  * schema override: Drop apps that aren't adaptive in amber-phone

  [ Sebastian Krzyszkowiak ]
  * gnome-all: Add gnome-weather

  [ Martin Kepplinger ]
  * Put battery in shipmode when powering off while not charging

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 09 Nov 2020 15:53:26 +0100

librem5-base (27) amber-phone; urgency=medium

  [ Guido Günther ]
  * Whitelist adaptive apps

  [ Sebastian Krzyszkowiak ]
  * librem5.pa: Cork streams also based on input stream trigger

  [ Arnaud Ferraris ]
  * ucm: wm8962: improve ucm profile
  * pulse: librem5: use new profile name for default settings

  [ Sebastian Krzyszkowiak ]
  * librem5.pa: Add default parameters for echo cancellation module
  * ucm: wm8962: Tweak microphone capture volume

  [ Guido Günther ]
  * gschema-overrides: Drop button-layout

  [ Sebastian Krzyszkowiak ]
  * Add librem5-non-gnome metapackage
  * non-gnome-all: Add firefox-esr-mobile-config
  * overriden-apps: Drop firefox-esr desktop file override

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 04 Nov 2020 16:41:00 +0100

librem5-base (26) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * Mark the modem's ALSA card as a modem.
    This makes PulseAudio ignore it by default, so we add it to librem5.pa
    as well to make it stay available.
  * librem5.pa: Cork/mute audio streams when on a phone call
  * librem5.pa: Duck volume of audio streams when notification or
    accessibility sounds are played
  * librem5.pa: Automatically switch default source/sink to a new device (Bluetooth, USB)
  * librem5.pa: prevent automatic switch to HSP profile.
    To be reverted once HSP works with Redpine module (linux-next#228)

  [ Guido Günther ]
  * gitlab-ci: Use the prebuilt pipelines.
    This eases maintenance and makes sure we can ci packages apart
    by version number. (Closes: #36)
  * dev-tools: Follow librem5-devkit-check -> librem5-check name change.
    This will help librem5-devkit-tools migrate.

  [ Alexander Mikhaylenko ]
  * librem5.gschema.override: Enable phone mode in GTK.
    See https://source.puri.sm/Librem5/gtk/-/merge_requests/18
  * librem5.gschema.override: Force enable hardware acceleration in Epiphany.
    Now that it works in 2.30.1, we want it to be actually used.
  * d/control: Depend on new WebKit.
    AC mode is broken in older WebKit versions.

  [ Adrien Plazas ]
  * gnome-base-all: Replace GNOME Software by PureOS Store

 -- Guido Günther <agx@sigxcpu.org>  Fri, 30 Oct 2020 16:51:47 +0100

librem5-base (25.0pureos0.1) byzantium; urgency=high

  * Forward port to byzantium
  * Remaining changes:
    * d/gbp.conf: Update gbp.conf for Byzantium
    * Add librsvg2-common.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Oct 2020 09:33:14 +0100

librem5-base (25) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * librem5-pm.udev: Enable USB suspend selectively
  * alsa-ucm: Swap microphone channels in wm8962 SpeakerPhone profile
  * alsa-ucm: wm8962: Adjust speaker volumes
  * librem5.gschema.override: Remove mobile-user-agent from Epiphany overrides
  * librem5.gschema.override: Disable hardware acceleration in Epiphany

  [ Alexander Mikhaylenko ]
  * librem5.gschema.override: Update Epiphany user agent

  [ Guido Günther ]
  * gnome-base: Depend on gnome-session-bin instead of gnome-session
  * defaults: Always add user to feedbackd group

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 28 Sep 2020 22:07:59 +0200

librem5-base (24.0pureos0.2) byzantium; urgency=medium

  * d/gbp.conf: Update gbp.conf for Byzantium
  * Add librsvg2-common.
    Needed to render SVG from bullseye/byzantium on. This can go away
    once we install recommends by default.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Sep 2020 13:45:12 +0200

librem5-base (24.0pureos0.1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Sep 2020 09:14:09 +0200

librem5-base (24) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * alsa-ucm: Use stereo output and let the codec downmix to mono when needed.
    PulseAudio doesn't like it when the same PCM is being opened by different
    devices in the same UCM verb with differing configuration. Fortunately,
    we can make the codec do the job instead.
    Requires linux-next!201
  * Bump kernel package dependency for wm8962 monomix support
  * profile.d: Use OpenGL ES contexts in GDK.
    OpenGL 2.1 contexts don't work in GDK under Wayland. We can point it to GL ES
    contexts instead until https://gitlab.gnome.org/GNOME/gtk/-/issues/2619 is fixed.

  [ Guido Günther ]
  * librem5.gschema.override: Enable OSK by default.
    We want to honor GNOMEs setting in squeekboard so turn
    it on by default.
  * librem5-base-defaults: Add feedbackd group and add purism user.
    This makes sure we have the user in the group when new feedbackd
    comes about and switches from video to feedbackd group.

  [ Angus Ainslie ]
  * 99-gnss.rules: add udev rule for gnss device.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Sep 2020 10:49:50 +0200

librem5-base (23) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * alsa-ucm: Turn down the headphones volume to avoid distortion.
    The maximum values used previously are very loud compared to other
    devices and cause a lot of distortion. This sets the main volume
    to 0dB and disables additional gain, resulting with still very loud
    but now quite reasonable maximum value.
  * librem5.gschema.override: Update the Epiphany's user agent string.
    This is a variation of Epiphany's default mobile UA tweaked in order
    to maximize the chances of popular websites recognizing it as
    a mobile browser and serving an appropriate user experience.

  [ Guido Günther ]
  * Drop near level from hwdb.
    This can now by exported by the kernel and hence tweaked for
    different revisions.
  * librem5-base: Bump kernel version.
    Let's pull in a newer kernel for people doing partial upgrades.
  * Add gpsd configuration
    Based on https://source.puri.sm/Librem5/image-builder/-/merge_requests/171
    by Angus

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Aug 2020 17:22:00 +0200

librem5-base (22) amber-phone; urgency=high

  [ Guido Günther ]
  * defaults: Don't rotate screen on orientation changes.
    With https://source.puri.sm/Librem5/phosh/-/merge_requests/434
    we listen to the sensor but don't want to do that by default
    to preserve current behavior and since landscape often isn't useful.
    The phosh's quicksettings toggles this setting.
  * gschema overrides: Sort alphabetically.
    The entries where random enought that e.g.
    org.gnome.settings-daemon.plugins.power got added twice.
  * gschema overrides: Set idle timout to 60 seconds.
    That's the smalles value the GUI currently supports and the default
    is 300 seconds before blanking the screen automatically.

  [ Sebastian Krzyszkowiak ]
  * Add an overriden Firefox desktop file to make it work right after
    installation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Jul 2020 12:05:33 +0200

librem5-base (21) amber-phone; urgency=medium

  [ Martin Kepplinger ]
  * librem5-base-defaults.librem5-pm.udev: enable runtime PM for sd

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Wed, 24 Jun 2020 09:28:57 +0200

librem5-base (20) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * profile.d: Set MOZ_ENABLE_WAYLAND.
    This lets Firefox use Wayland natively.
  * base-all: Add plymouth and its Librem 5 theme

  [ Guido Günther ]
  * ucm: Make headphones somewhat work.
    Without that I only get static noise. Stereo is missing and
    some amp levels are off.
    This also fixes HP detection (so we switch automatically when inserted)
    when the kernel bits are in.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Jun 2020 17:41:51 +0200

librem5-base (19) amber-phone; urgency=medium

  [ Guido Günther ]
  * 90-nm-gadget-managed-rules: Fix syntax error

  [ Sebastian Krzyszkowiak ]
  * base-all: Add dnsmasq-base
  * gnome-all: Move gnome-chess from gnome-notfit, it fits now

  [ Martin Kepplinger ]
  * librem5-base-defaults.librem5-pm.udev: set devfreq powersave governor

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 22 Jun 2020 17:33:58 +0200

librem5-base (18) amber-phone; urgency=medium

  * gnome-dev: Drop libwlroots-examples.
    We don't build them for amber and they're not as useful as they used to be
    when used for taking screenshots and to test rootston.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 May 2020 14:42:59 +0200

librem5-base (17) amber-phone; urgency=medium

  [ Guido Günther ]
  * Add gthd. gnome-usage can make use of it and it's better than poking at
    /sys/.
  * Bump priorities for librem5-base and librem5-gnome-base.
    These are needed for a usable (and user fixable) system so we
    don't want any update to force them off the system by accident.

  [ Mohammed Sadiq ]
  * gnome-base-all: Add udisks2
    udisks is required to show storage details in gnome-control-center

 -- Guido Günther <agx@sigxcpu.org>  Tue, 21 Apr 2020 17:09:36 +0200

librem5-base (16) amber-phone; urgency=medium

  * base: Add feedbackd.
  * Add hwdb entry for proximity sensor.
    The current value of 220 works well for Librem5 and devkit.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 19 Feb 2020 12:39:16 +0100

librem5-base (15) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * udev: Let NetworkManager use usb0

  [ Sebastian Krzyszkowiak ]
  * gnome-all: Add gnome-terminal
  * hidden-apps: Add gnome-terminal
  * librem5-pm.udev: Don't set USB autosuspend delay to 0

  [ Guido Günther ]
  * base: Add iio-sensor-proxy

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 12 Feb 2020 20:42:24 +0100

librem5-base (14) amber-phone; urgency=medium

  [ Adrien Plazas ]
  * gnome-all: Add gnome-calculator

  [ Guido Günther ]
  * defaults: Set proper chassis type

  [ Sebastian Krzyszkowiak ]
  * gnome-phone-all: Add purple plugins for fully featured E2E XMPP in Chatty

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 28 Jan 2020 03:30:28 +0100

librem5-base (13) amber-phone; urgency=medium

  * default: Disable suspending in g-s-d schema
  * default: Disable dynamic backlight adjustment with ALS by default

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 08 Jan 2020 16:44:45 +0100

librem5-base (12) amber-phone; urgency=medium

  [ Adrien Plazas ]
  * gnome-notfit-all: Drop evince
  * gnome-all: Add evince

  [ Guido Günther ]
  * base: Install apparmor

  [ Angus Ainslie ]
  * alsaucm: set some defaults

 -- Angus Ainslie <angus@akkea.ca>  Tue, 17 Dec 2019 09:04:28 -0800

librem5-base (11) amber-phone; urgency=medium

  [ Adrien Plazas ]
  * gnome-base-all: Add gstreamer1.0-packagekit.
    This should allow discovery and installation of missing codecs by
    applications.

  [ Guido Günther ]
  * base: Add f2fs-tools.
    This makes it simpler to work with a flash specific filesystem
  * Move gen-sshd-host-keys.
    It was in base-all and therefore pulled in sshd
    Closes: https://source.puri.sm/Librem5/Apps_Issues/issues/146
  * gitlab-ci: Move artifacts to working dir
  * gitlab-ci: Run autopkgtest
  * Add ssh-server autopkgtest.
    This makes sure we don't pull in openssh-server via the
    librem5-base package anymore
  * Depend on a proper kernel package.
    We trigger this by a build profile so we can disable it in
    CI where we still want to fetch latest kernels via wget.

  [ Sebastian Krzyszkowiak ]
  * librem5-base-defaults: Add user purism to netdev group.
    Otherwise there's no rfkill access, which breaks things like GNOME
    Bluetooth.
    Closes OS-issues#75
  * librem5-base-defaults: Order user groups alphabetically

  [ Mohammed Sadiq ]
  * gnome-base: Add gnome-bluetooth.
    The database of default PINs for various bluetooth
    devices are shipped with gnome-bluetooth.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 11 Dec 2019 15:42:03 +0100

librem5-base (10) amber-phone; urgency=medium

  [ Guido Günther ]
  * d/gbp.conf: Add tag message and sign tags

  [ Dorota Czaplejewicz ]
  * packaging: Mark as breaking squeekboard

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 03 Dec 2019 10:22:52 +0000

librem5-base (9) amber-phone; urgency=medium

  [ Angus Ainslie (Purism) ]
  * base-all: add pulseaudio-module-bluetooth

  [ Angus Ainslie ]
  * ucm: wm8962: simplify the alsa ucm
  * librem5.pa : Use the simplified alsa config
  * pulse/daemon.conf: Force pulseaudio to use 48K sample rate

 -- Bob Ham <bob.ham@puri.sm>  Mon, 02 Dec 2019 15:01:53 +0000

librem5-base (8) amber-phone; urgency=medium

  [ Bob Ham ]
  * Add initial audio configuration for the phone

  [ Angus Ainslie ]
  * alsaucm: create audio profiles for the wm8962

  [ Sebastian Krzyszkowiak ]
  * base-default: Enable instant autosuspend for USB devices

 -- Bob Ham <bob.ham@puri.sm>  Tue, 26 Nov 2019 09:06:06 +0000

librem5-base (7) amber-phone; urgency=medium

  * librem5-gnome-phone: Add wys

 -- Bob Ham <bob.ham@puri.sm>  Sun, 24 Nov 2019 13:03:49 +0000

librem5-base (6) amber-phone; urgency=medium

  [ Guido Günther ]
  * Unlock sim by default
  * Add gnome-usage (Closes: #23)

  [ David Boddie ]
  * Update Homepage and Source URLs

  [ Bob Ham ]
  * librem5-base-defaults: Remove phone-voice-call-audio.target
  * librem5-base-defaults: Fix Breaks: fields for wys and haegtesse

 -- Bob Ham <bob.ham@puri.sm>  Fri, 22 Nov 2019 09:27:24 +0000

librem5-base (5) amber-phone; urgency=medium

  * Add gnome-debug-recommends-all
  * Add .gitignore.
    So there's less noise and we won't forget to commit files.
  * debian: Add gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Oct 2019 15:53:30 +0200

librem5-base (4) amber-phone; urgency=medium

  [ Mohammed Sadiq ]
  * pam: Allow simple numeric passwords.
    Remove the obscure setting from /etc/pam.d/common-password allowing
    for weaker passwords so we can use the pin as password.
    As modifying /etc/pam.d/common-password isn't a viable solution,
    a new profile named pam-librem5 with higher priority is added
    to /usr/share/pam-configs/.
    Closes: https://source.puri.sm/Librem5/gnome-control-center/issues/17

  [ Guido Günther ]
  * Work around old systemd on PureOS amber.
    The version does not yet support the render group.
    See https://tracker.pureos.net/T839
  * Split out debug packages.
    Unfortunately we're not allowed to depend on dbgsym packages in pureos.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Oct 2019 11:08:59 +0200

librem5-base (3) amber-phone; urgency=medium

  [ Guido Günther ]
  * d/control: Set maintainers to librem5-maintainers
  * Add scdaemon.
    Needed for smartcard reader.
  * Add kmscube.
    Simplifies kms/drm debugging.
  * Add bluez for bluetooth support
  * dev-tools: Add librem5-devtools-check
    librem5-devtools will not end up on the phone release image so it's o.k.
    to have devkit specific stuff in there.
  * gnome-phone-all: Add chatty and purple-plugin-sms
  * Add xdg-user-dirs (Closes: #5)
  * Don't use dark theme by default (Closes: #6)
  * librem5-base-defaults: Add purism user to needed groups.
    This moves over the code from image-builder so it also works
    on upgrades.
    Closes: https://source.puri.sm/Librem5/image-builder/issues/34
  * gitlab-ci: Gather build debs as artifacts
  * Strip empty line.
    This unbreaks the build since lintian flags this as an error
    https://arm01.puri.sm/job/debs/job/deb-librem5-base-buster-aarch64/13/console
  * d/control: Depend on adduser
  * Use phoc by default.
    We move libwlroots-examples to the dev package since the test
    clients have their use (e.g. for taking automatic screenshots)
  * gnome-phone: Depend on mobile-broadband-provider-info.
    It's useful for g-c-c at least.
  * Use adwaita-phone background (Closes: #10)
  * Move schema overrides to priority 11.
    Debian overrides e.g. the background at 10
  * gnome-dev: Add debug packages.
    Add debug packages for core libs and apps. This makes backtraces way
    more useful by default.
  * gnome-base: Make squeekboard the default.
    There's stuff todo still lets give this some more exposure.
  * gnome-all: Drop gnome-terminal.
    We have kgx
  * Move kgx from gnome-base-all to gnome-all
    gnome-base-all should not cover any appliations but the base
    for those.
  * Move packages not fit for a default installation to gnome-notfit.
    This allows for easy installation and for moving in potential
    candidates via a staging mechanism.
    The package will not be installed by default.
    See: #16
  * gnome-all: Add gnome-clocks.
    According to
    https://puri.sm/posts/the-librem-5-application-compatibility-chart/
    it's adaptive so it should be on the phone.
  * Hide some more applications.
    We want them installed but currently not shown in the menu (Closes: #16)
  * Teach sdl and qt wayland.
    Help those toolkits along to favour wayland over x11 (Closes: #15)

  [ Bob Ham ]
  * Set GSD option to not suspend when on AC power
  * dev-tools: Add jitterentropy-rngd.
    This works around the RNG issue linux-emcraft#2 causing SSH logins to
    be inaccessible for five minutes on boot.  With this package, SSH is
    available immediately.
  * Revert "Merge branch 'add-jitterentropy-rngd' into 'master'"
    This reverts merge request !22
  * base-defaults: Add PulseAudio profile for devkit.
    This is a workaround for the devkit's audio not working properly with
    PulseAudio (linux-emcraft#19).  There is no standard "front" device
    for the SGTL5000 codec so PulseAudio fails to probe the card properly
    with the default profile.  We create a new profile specifically for
    the devkit and direct PulseAudio to use it through a udev rule.
  * base-defaults: Add PulseAudio daemon.conf.d snippet to change default
    sample rate.
    This fixes call audio on the devkit.  The stock default sample rate is
    44.1 kHz and PulseAudio wants a multiple of 8 kHz due to Haegtesse.
    Confusion ensues because the hardware restricts the available sample
    rate in either the ADC or DAC once the other side is opened.
    PulseAudio assumes that the list of available sample rates never
    changes.  We work around this by making the default sample rate 48
    kHz, a multiple of 8 kHz.
  * librem5-base-defaults: Add phone-voice-call-audio.target.
    This systemd unit is needed in order to cope with having both
    haegtesse and wys installed at the same time.  We can have the
    audio unit be brought up with only a WantedBy relationship to
    default.target.
    Systemd can resolve mutual Conflict options by favouring a unit which
    is RequiredBy over one which is WantedBy.  So, we can have
    haegtesse.service and wys.service Conflict with each other but we
    don't want default.target to have a RequiredBy relationship with
    either as that would mean default.target will fail if the RequiredBy
    unit (wys.service) fails.  By inserting phone-voice-call-audio.target
    between wys.service and/or haegtesse.service, we can use systemd to
    resolve the Conflict option while also maintaining only a WantedBy
    relationship with default.target.
  * Pull in sound-theme-librem5 and set it as the default sound theme.
    Closes #3
    Closes calls#37
    Closes Apps_Issues#139

  [ Dorota Czaplejewicz ]
  * gnome-base: Install fonts-cantarell.
    Cantarell is the default font GNOME programs use, and makes them look
    better.
    Closes https://source.puri.sm/Librem5/librem5-base/issues/4
  * Add osk-wayland as default keyboard.
    Having a place which selects the keyboard is going to be useful
    immediately for making the squeekboard transition easier (osk-wayland
    prefers squeekboard), and useful later for letting the user install and
    choose preferred, possibly third-party, input methods.
  * osk: Remove librem5 category from .desktop

  [ Adrien Plazas ]
  * Override the default GNOME Web search engines.
    Include only the ethical DuckDuckGo and Qwant.
  * Make GNOME Web have a mobile user agent.
    This works on versions strictly newer than GNOME Web 3.33.2.
  * Add yelp.
    Fixes https://source.puri.sm/Librem5/librem5-base/issues/11
  * Add color emoji font.
    Add fonts-noto-color-emoji to support many missing emojis as well as
    color emojis.
    Fixes https://source.puri.sm/Librem5/librem5-base/issues/13.
  * gnome-base: Add gnome-getting-started-docs.
    It will be needed by GNOME Initial Setup.
  * gnome-base: Add gnome-initial-setup.
    It has been ported to the Librem 5 and can now work as expected.
  * gnome-all: Add gedit.
    This is needed to edit CSS froom GNOME Web's preferences, otherwise a
    terminal with vim will be launched, which is way less comfortable.
  * gnome-all: Add gnome-software.
    Install GNOME Software by default to gives us a GUI to update and
    upgrade the OS, as well as a way to manage applications.
    Fixes https://source.puri.sm/Librem5/Apps_Issues/issues/9.
  * gnome-all: Add gnome-software-plugin-flatpak.
    Install the Flatpak plugin for GNOME Software by default as we want it
    to support Flatpak.
    Fixes https://source.puri.sm/Librem5/librem5-base/issues/21.
  * Make GNOME Web pretend to be iPhone-like.
    Most websites seem to just look for the Android or iPhone strings to
    show their mobile versions, so making Web pretend to be like an iPhone
    makes most websites just work.
    Fixes https://source.puri.sm/Librem5/epiphany/issues/6.

  [ Zander Brown ]
  * Add kgx to the base image

  [ Christopher Davis ]
  * gschema: Hide window control buttons.
    Per the design plans for the phone, hide controls like
    the close button by default.

  [ Sebastian Krzyszkowiak ]
  * Remove SDL_VIDEODRIVER environment variable.
    Turns out that it also affects SDL1, which is something we don't want.
    Since we're going to have newer SDL2 packaged anyway, we can make
    Wayland backend the default there.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Sep 2019 18:32:05 +0200

librem5-base (2) purple; urgency=medium

  [ Guido Günther ]
  * librem5-gnome: Add virtboard.
    Got lost in the transition to the meta package somehow.
  * d/control: Use metapackage instead of meta package.
    This makes lintian happy
  * Add gitlab-ci
  * Add chatty.
    This installs chatty by default
  * Sort things alphabetically.
    Using `wrap-and-sort -ast`
  * d/control: Fix repo URL
  * Use germinate for meta packages.
    This allows us to track dependencies and recommends in per package files
    making maintaining these simpler. (Closes: #2)

  [ Bob Ham ]
  * d/control: Add haegtesse.
    Added to librem5-gnome because it depends on pulseaudio and it's at a
    little higher level than the packages in librem5-base.
  * Add new librem5-gnome-base package.
    Separate the base GNOME packages (librem5-gnome-base) from the
    higher-level apps and metapackages (librem5-gnome).
  * Add librem5-gnome-phone package.
    Move calls and haegtesse to this package and also add
    libcanberra-pulse for ringtones.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 30 Nov 2018 10:14:19 +0100

librem5-base (1) unstable; urgency=medium

  * Install gen-sshd-host-keys package.
    This will allow us to drop the host key generation from the
    image generation scripts.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 19 Sep 2018 11:23:47 +0200

librem5-themes (0) unstable; urgency=medium

  * Initial release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Apr 2018 12:51:24 +0100
